Bug 858106 - Review Request: python-rospkg - Utilities for ROS package, stack, and distribution information
Summary: Review Request: python-rospkg - Utilities for ROS package, stack, and distri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-18 01:34 UTC by Rich Mattes
Modified: 2012-12-20 16:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 16:29:57 UTC
sanjay.ankur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rich Mattes 2012-09-18 01:34:27 UTC
Spec URL: http://rmattes.fedorapeople.org/rospackages/rospkg/python-rospkg.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/rospkg/python-rospkg-1.0.6-1.fc17.src.rpm

Description: 
The ROS packaging system simplifies development and distribution of code
libraries. It enable you to easily specify dependencies between code
libraries, easily interact with those libraries from the command-line, and
release your code for others to use.

Fedora Account System Username: rmattes

$ rpmlint python-rospkg.spec ../RPMS/noarch/python-rospkg-1.0.6-1.fc17.noarch.rpm 
python-rospkg.spec: W: invalid-url Source0: ros-rospkg-1.0.6-0-g88888b7.tar.gz
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

The package is a github snapshot, with download directions in the comments.

Comment 1 Ankur Sinha (FranciscoD) 2012-09-21 04:18:43 UTC
Hi Rich,

I'll review this package. 

Thanks,
Warm regards,
Ankur

Comment 2 Ankur Sinha (FranciscoD) 2012-09-21 06:37:36 UTC
Review:

[+] OK
[-] NA
[?] Issue

[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[+] Spec has consistant macro usage.
[?] Meets Packaging Guidelines.
^^
It would be better to build in the build section using

%python setup.py build

and then only installing in the install section using

%python setup.py --skip-build

as described in the Python packaging guidelines here:
http://fedoraproject.org/wiki/Packaging:Python#Example_spec_file

It ensures that the different packaging stages happen in the correct sections
where they're supposed to.

[+] License
[+] License field in spec matches
[?] License file included in package
^^
I couldn't find a COPYING or LICENSE file. Please consider adding one if
possible

[+] Spec in American English
[+] Spec is legible.
[-] Sources match upstream md5sum:
Generated from github checkout. NA

[-] Package needs ExcludeArch
[+] BuildRequires correct
[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[+] Packages %doc files don't affect runtime.

[+] Package compiles and builds on at least one arch.
[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.
[+] No rpmlint output.
[ankur@ankur SRPMS]$ rpmlint ../SPECS/python-rospkg.spec ./python-rospkg-1.0.6-1.fc17.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/python-rospkg-1.0.6-1.fc19.noarch.rpm
../SPECS/python-rospkg.spec: W: invalid-url Source0:
ros-rospkg-1.0.6-0-g88888b7.tar.gz
python-rospkg.src: W: invalid-url Source0: ros-rospkg-1.0.6-0-g88888b7.tar.gz
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
[ankur@ankur SRPMS]$


[+] final provides and requires are sane:
== python-rospkg-1.0.6-1.fc19.noarch.rpm ==
Provides:
python-rospkg = 1.0.6-1.fc19

Requires:
/usr/bin/python
python(abi) = 2.7

== python-rospkg-1.0.6-1.fc19.src.rpm ==
Provides:

Requires:
python-devel
python-setuptools-devel
python-sphinx

[ankur@ankur result]$

SHOULD Items:

[+] Should build in mock.
[+] Should build on all supported archs
[?] Should function as described.
^^
I haven't checked on this 

[-] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[-] check for outstanding bugs on package. (For core merge reviews)

Issues:

1. I don't see any major issues. The building in %build section is the only
change required. 

2. A cosmetic change would be to use something like
%{python_sitelib}/%[realname}-%{version}-py?.?egg-info

instead of
%{python_sitelib}/*egg-info

just for clarity.

Please make the small changes required, and I'll approve the package :)
Thanks,
Warm regards,
Ankur

Comment 3 Rich Mattes 2012-09-22 00:15:51 UTC
I've made the two updates to the package, you can find it at:

Spec URL: http://rmattes.fedorapeople.org/rospackages/rospkg/python-rospkg.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/rospkg/python-rospkg-1.0.6-2.fc17.src.rpm

Upstream doesn't bundle a COPYING or LICENSE file, but I can file a bug and ask them to do so.

Comment 4 Ankur Sinha (FranciscoD) 2012-09-23 09:43:05 UTC
Hi Rich,

Looks good. Please do file a bug asking upstream to add a LICENSE file. 

XXX APPROVED XXX

Thanks,
Warm regards,
Ankur

Comment 5 Rich Mattes 2012-09-23 17:55:01 UTC
New Package SCM Request
=======================
Package Name: python-rospkg
Short Description: Utilities for ROS package, stack, and distribution information
Owners: rmattes
Branches: f17 f18 el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-09-24 01:14:40 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-09-25 01:09:20 UTC
python-rospkg-1.0.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-rospkg-1.0.6-2.fc18

Comment 8 Fedora Update System 2012-09-25 06:04:29 UTC
python-rospkg-1.0.6-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2012-12-20 16:29:59 UTC
python-rospkg-1.0.6-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.